import pytest

from gcs_migration.models import AuthIdP
from gcs_migration.typing.auth_documents import IdentityProviderDocumentDict


@pytest.fixture
def auth_idp(identity_provider_document: IdentityProviderDocumentDict) -> AuthIdP:
    idp = AuthIdP()
    idp.identity_provider_document = identity_provider_document
    return idp
