from typing import Any

from gcs_migration.parsers import InCommonMetadata


def test_incommon_metadata(incommon_urlopener: Any) -> None:
    organization = "Ohio State University"
    icm = InCommonMetadata(organization=organization)

    assert icm.entity_id == "urn:mace:incommon:osu.edu"
    assert icm.domains == ["osu.edu"]
    assert icm.organization == organization
    icm.entity_id = None
    icm.domains = None
    icm.organization = organization
    assert icm.entity_id == "urn:mace:incommon:osu.edu"
    assert icm.domains == ["osu.edu"]
    assert icm.organization == organization
